code stringlengths 2 1.05M | repo_name stringlengths 5 110 | path stringlengths 3 922 | language stringclasses 1
value | license stringclasses 15
values | size int64 2 1.05M |
|---|---|---|---|---|---|
#!/bin/sh
# **************************************************
# ** Libraries used by Kettle: **
# **************************************************
BASEDIR=$(dirname $0)
CLASSPATH=$BASEDIR
CLASSPATH=$CLASSPATH:$BASEDIR/lib/kettle.jar
# **************************************************
# ** JDBC... | ontometrics/ontokettle | bin/generateClusterSchema.sh | Shell | lgpl-2.1 | 1,540 |
cp ../../../../../indexes/POS/EXPERIMENTS/experiments.is/7.1.scripts.simple9e/N_p5.7.1.simple9e.dat N_p5.7.1.simple9e.dat
cp ../../../../../indexes/POS/EliasFano.OV14/partitioned_elias_fano/partitioned.EF.pos/N_p5.10.eliasfanopart.dat N_p5.10.eliasfanopart.dat
cp ../../../../../indexe... | migumar2/uiHRDC | uiHRDC/benchmark/report/figures/f4/phrases5-5/getFiles.sh | Shell | lgpl-2.1 | 2,548 |
#!/bin/sh
# d2d chapter figures
python cumemcpy_to_direct.py
python cumemcpy_to_direct_offset1.py
| ypzhang/jusha | book/scripts/d2d_kernel/run_all.sh | Shell | lgpl-3.0 | 99 |
# @(#) $Id: cfg2html-hpux.sh,v 6.21 2015/11/26 18:14:29 ralph Exp $
# -------------------------------------------------------------------------
# vim:ts=8:sw=4:sts=4 -*-
####################################################################
# getopt
#ADFHLSYabcdefhklno:stvx2:10UM
while getopts ":ADFHLPSTabcdefhklno:stv... | rossonet/templateAr4k | cfg2html-master/hpux/cfg2html-hpux.sh | Shell | lgpl-3.0 | 78,969 |
#!/bin/bash
cd "$(dirname "$0")"
name="${1%.h}"
header="$name.h"
if [ ! -f "$header" ]; then
echo "Header file '$header' not found"
exit 1
fi
cat <<BOARD > board.h
#include "$header"
BoardDescription makeNamedBoard() {
BoardDescription b = makeBoard();
b.name = "$name";
return b;
}
BOARD
make
... | nylen/ooml-case-factory | make-case.sh | Shell | lgpl-3.0 | 334 |
#!/bin/sh
CURDIR=`pwd`
EXPORTPATH=$CURDIR/bin/doomAnalysis_osx
SRCPATH=$CURDIR/main.go
echo "=== Running govet tools to check code validity ==="
go tool vet ./
echo "=== govet ends ==="
gofmt -w=true $CURDIR
EXPORTPATH=$CURDIR/bin/doomAnalysis_linux_amd64
CGO_ENABLED=0 GOOS=linux GOARCH=amd64 go build -v -o $EXPORT... | reckhou/DoomAnalysis | buildDoom.sh | Shell | lgpl-3.0 | 334 |
#!/bin/bash
#
# Copyright (C) 2013 Inera AB (http://www.inera.se)
#
# This file is part of Inera Axel (http://code.google.com/p/inera-axel).
#
# Inera Axel is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation... | Predictly/axel | test/system-test/src/test/scripts/redeploy-axel.sh | Shell | lgpl-3.0 | 1,188 |
#! /bin/bash
set -e
## nb. these tests may fail while the free text implementation is in flux
# exercise term identifier cache materialization
# this is for an internal materialized view with integer indices for the parameters
#
# given the test/foaf repository
# - replace any "types" view with a known text
# - ensur... | dydra/http-api-tests | extensions/sparql-protocol/views/materialized.sh | Shell | unlicense | 7,312 |
#!/bin/bash
# git submodule update --init --recursive
pushd .
cd java/socnet
ln -s ../../foss foss
make prepare
(cd src/main/css && make)
popd
| vy-nguyen/tvntd | prepare.sh | Shell | apache-2.0 | 148 |
#!/bin/bash
###############################################################################
# Author: Jens V. Fischer
# Date: 11.11.2015
#
# Running a benchmark series on a Scalaris slurm installation with basho bench.
# The scripts reads the basho-bench.cfg, sets up a Scalaris ring using the slurm
# cluster managemen... | jvf/scalaris | contrib/slurm/basho-bench.sh | Shell | apache-2.0 | 17,688 |
#!/bin/bash
#
# Create list of all my commits in an date range for a list of local GIT working copies.
#
# use: DIR_NAME fill with pwd if empty
# use: REPO_NAMES break if empty
# use: BRANCH_NAME breaks if empty
# activate job monitoring
# @see: http://www.linuxforums.org/forum/programming-scripting/139939-fg-no-job-c... | barthel/git-utils | git_daily.sh | Shell | apache-2.0 | 4,946 |
#forever-service install raspberrysauce -s index.js -e NODE_ENV=production --start -r pi
pm2 start index.js --env production --name raspberrysauce -l ~/homecontrol/logs/raspberrysauce
pm2 save
| rossharper/raspberrysauce | installDaemon.sh | Shell | apache-2.0 | 194 |
#!/bin/bash
#
# Copyright (C) 2016 The CyanogenMod Project
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law... | maruos/android_device_lge_hammerhead | setup-makefiles.sh | Shell | apache-2.0 | 1,208 |
#!/bin/bash
# Copyright 2014 The QingYuan Authors All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required ... | qingyuancloud/qingyuan | cluster/vsphere/templates/salt-minion.sh | Shell | apache-2.0 | 1,803 |
# -----------------------------------------------------------------------------
#
# Package : npmlog
# Version : 4.0.0
# Source repo : https://github.com/npm/npmlog
# Tested on : RHEL 8.3
# Script License: Apache License, Version 2 or later
# Maintainer : BulkPackageSearch Automation <sethp@us.ibm.com>
#
# Disclaimer: ... | ppc64le/build-scripts | n/npmlog/npmlog_rhel_8.3.sh | Shell | apache-2.0 | 3,034 |
#!/usr/bin/env bash
#
# Copyright (c) 2013-%%copyright.year%% Commonwealth Computer Research, Inc.
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Apache License, Version 2.0 which
# accompanies this distribution and is available at
# http://www.opensource.... | locationtech/geomesa | geomesa-accumulo/geomesa-accumulo-tools/conf-filtered/accumulo-env.sh | Shell | apache-2.0 | 2,191 |
#!/bin/bash
function show_help {
echo "$0 [--debug-default-target] [--debug-ddec] [--debug-ceg]"
echo ""
}
function error {
echo "Configure failed! Fix errors and run again."
echo ""
rm -f stoke_config
show_help
exit
}
## START
echo ""
rm -f .stoke_config
## All options are off by default
MISC_OPTIO... | jyi/abc | configure.sh | Shell | apache-2.0 | 1,568 |
#!/usr/bin/env bash
# Copyright 2018 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# https://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or ag... | GoogleCloudPlatform/gke-rbac-demo | scripts/common.sh | Shell | apache-2.0 | 1,124 |
#!/bin/bash
#
# ONEDock - Docker support for ONE (as VMs)
# Copyright (C) GRyCAP - I3M - UPV
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
#... | indigo-dc/onedock | testing/tm.sh | Shell | apache-2.0 | 979 |
import java.time.ZoneId;
import java.time.format.DateTimeFormatter;
import net.dv8tion.jda.core.EmbedBuilder;
import net.dv8tion.jda.core.Region;
String region = guild.getRegion().getName();
if(region.equals(Region.AMSTERDAM.getName()) || region.equals(Region.VIP_AMSTERDAM.getName())) {
region += " :flag_nl:... | 21Joakim/Jockie | scripts/serverinfo.command | Shell | apache-2.0 | 3,502 |
#!/bin/bash -x
DEPS_DIR="$(pwd)/../iresearch.deps"
export BENCHMARK_RESOURCES_ROOT="${DEPS_DIR}/benchmark_resources"
export TEST_RESOURCE_ROOT="${DEPS_DIR}/test_resources/tests/resources"
export LD_LIBRARY_PATH="${LD_LIBRARY_PATH}:$(pwd)/bin"
ulimit -c unlimited
for i in `seq 1 1`; do
for j in 25 ; do
MAX... | Simran-B/arangodb | 3rdParty/iresearch/scripts/index-benchmark.sh | Shell | apache-2.0 | 1,190 |
#!/bin/bash
. ./scripts/planetlab/pl-common.sh
if [ ! -f "$JAR" ]; then
echo "file $JAR not found" && exit 1
fi
# TOPOLOGY
DCS[0]=${EC2_PROD_EU_MICRO[0]}
DCSEQ[0]=${EC2_PROD_EU_MICRO[0]}
DCS[1]=${EC2_PROD_EU_MICRO[1]}
DCSEQ[1]=${EC2_PROD_EU_MICRO[1]}
DC_CLIENTS=("${PLANETLAB_NODES[@]}")
MACHINES="${DCS[*]} ${DCS... | SyncFree/SwiftCloud | scripts/planetlab/runSwiftdoc.sh | Shell | apache-2.0 | 1,798 |
#!/bin/sh
VERSION=$1
if [ ! "$VERSION" ]; then
echo "usage: $(basename $0) [version]"
exit 1
fi
# edit parent pom.xml's reference
echo "editing parent's pom.xml (reference to dom module)"
cat pom.xml | sed "s/<isis-wicket-wizard.version>.*</<isis-wicket-wizard.version>$VERSION</" > pom.xml.$$.sed
mv pom.xml.$... | isisaddons/isis-wicket-wizard | bumpver.sh | Shell | apache-2.0 | 695 |
#!/bin/bash
# Copyright 2014 The QingYuan Authors All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required ... | qingyuancloud/qingyuan | build/hello-qingyuan/prepare.sh | Shell | apache-2.0 | 724 |
# Copyright 2021 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,... | GoogleCloudPlatform/anthos-service-mesh-samples | docs/mtls-egress-ingress/terraform/kops-src/cluster/a_install-kops.sh | Shell | apache-2.0 | 1,647 |
#!/bin/bash -e
if [ $# -lt 1 ]; then
echo "usage: $0 api_key [alternate_url]"
exit 1
fi
matched_name_data1="Michael Jackson"
matched_name_data2="迈克尔·杰克逊"
if [ -z "$2" ]; then
url="https://api.rosette.com/rest/v1/name-similarity"
else
url="$2/name-similarity"
fi
curl -s "$url" \
-H "X-RosetteAPI-Key: $1" \
... | rosette-api/shell | examples/name_similarity.sh | Shell | apache-2.0 | 510 |
#!/bin/sh
THIS_DIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
source $THIS_DIR/common.sh
check_lib libthrift libthrift-0.9.2
set -e
wget http://archive.apache.org/dist/thrift/0.9.2/thrift-0.9.2.tar.gz
tar -xzvf thrift-0.9.2.tar.gz
cd thrift-0.9.2
./configure --with-cpp=yes --with-c_glib=no --with-java=no --wi... | hanw/behavioral-model | travis/install-thrift.sh | Shell | apache-2.0 | 459 |
#!/bin/sh
set -e
# Script to grab binaries that are going to be bundled with windows installer.
# Note to maintainers: Update versions used below with newer releases
boot2dockerIso=1.6.2
boot2dockerCli=1.6.2
docker=1.6.2
vbox=4.3.28
vboxRev=100309
msysGit=1.9.5-preview20150319
boot2dockerIsoSrc=boot2docker
boot2dock... | SvenDowideit/windows-installer | bundle.sh | Shell | apache-2.0 | 1,461 |
#!/bin/bash
CERTS_PASSWORD=""
CERTS_FOLDER="$(pwd)/../certs"
createDir(){
mkdir -p $CERTS_FOLDER
}
generateCertificates(){
openssl genrsa \
-out ${CERTS_FOLDER}/client-key.pem 4096
openssl req -sha256 -new -subj '/CN=client' \
-key ${CERTS_FOLDER}/client-key.pem \
-ou... | antoinehage/soajs.buildImages | deployer/dockerapi/scripts/generate_certs.sh | Shell | apache-2.0 | 613 |
#!/bin/bash
#
# Copyright 2012 Marco Vermeulen, Jacky Chan
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required ... | linux-china/jenv | src/main/scripts/commands/jenv-uninstall.sh | Shell | apache-2.0 | 2,018 |
#!/usr/bin/env bash
if [ ! -f /etc/yum.repos.d/mongodb.repo ];
then
if [ $(uname -m) == 'x86_64' ]; then
echo '[mongodb]
name=MongoDB Repository
baseurl=http://downloads-distro.mongodb.org/repo/redhat/os/x86_64/
gpgcheck=0
enabled=1' > /etc/yum.repos.d/mongodb.repo
exit 0;
fi
if [ $(uname -m) == 'i686' ]; then... | ocruzv/MEANDO | scripts/before/rhel.sh | Shell | apache-2.0 | 1,109 |
export LANG="en_US.UTF-8"
export GOPATH=$HOME/.go
export RUBYGEMPATH=$HOME/.gem/ruby/2.5.0/
export PATH=$PATH:$HOME/.bin:$GOPATH/bin:$RUBYGEMPATH/bin:$HOME/.local/bin:$HOME/projects/tek-linux/node_modules/.bin/
# disable paging for git delta.
export DELTA_PAGER=""
export MANPAGER="/bin/sh -c \"col -b | vim -c 'set ft... | adamatom/dotfiles | .zsh/aliases.zsh | Shell | apache-2.0 | 4,384 |
if [ ! -f $BIN_DIR/../conf/env.sh ]
then
. $BIN_DIR/../conf/env.sh.example
else
. $BIN_DIR/../conf/env.sh
fi
if [ ! -d "$FLUO_HOME" ]
then
echo "Problem with FLUO_HOME : $FLUO_HOME"
exit 1
fi
if [ -z "$FLUO_APP_NAME" ]; then
echo "FLUO_APP_NAME is not set!"
exit 1
fi
if [ ! -f "$FLUO_PROPS" ] && [ -z "... | mikewalch/fluo-stress | bin/load-env.sh | Shell | apache-2.0 | 863 |
#!/usr/bin/env bash
# Copyright 2018 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or a... | terraform-google-modules/terraform-google-cloud-datastore | test/setup/make_source.sh | Shell | apache-2.0 | 1,054 |
#!/bin/bash
#
# Copyright 2017 Istio Authors. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by app... | lizan/proxy | tools/deb/test/machine_setup.sh | Shell | apache-2.0 | 1,807 |
#!/bin/bash
set -e
usage() { echo "Usage: $(basename $0) [-t <oss/ent>] [-v <version>] [-p <package type>] <-a [amd64/x86_64]|[386/i386]|arm|arm64> <-r fips> <-s tarball source dir> <-m tsh>" 1>&2; exit 1; }
while getopts ":t:v:p:a:r:s:m:" o; do
case "${o}" in
t)
t=${OPTARG}
if [[ $... | gravitational/teleport | build.assets/build-package.sh | Shell | apache-2.0 | 14,660 |
#!/bin/bash
#
# Copyright (C) 2017 Dan Iverson
#
# You may distribute under the terms of either the GNU General Public
# License or the Apache License, as specified in the LICENSE file.
#
# For more information, see the LICENSE file.
#
#Uncomment next line for debugging output
#set -x
SCRIPT=$(basename "$0")
ovj_usa... | OpenVnmrJ/OpenVnmrJ | src/scripts/ovjBuild.sh | Shell | apache-2.0 | 3,976 |
#!/bin/sh -eu
SSH_USER="${SSH_USERNAME:-vagrant}"
install_from_iso() {
local iso="$1"
apt-get install -y "linux-headers-$(uname -r)" build-essential perl dkms
mkdir -p /mnt/tools
mount -o loop,ro "$iso" /mnt/tools
retCode=0
sh /mnt/tools/VBoxLinuxAdditions.run --nox11 || retCode=$?
if [ ${retCode} -eq 1 ]; ... | Koalephant/debian | script/virtualbox.sh | Shell | apache-2.0 | 2,404 |
#!/bin/bash -ex
source get-glance-image-service.sh
export GLANCE_IMAGE_SERV_PUBLIC_URL=$(echo $JSON_GLANCE_IMAGE_SERV | jq '.endpoints[0].publicURL' | sed 's/"//g')
| jinsenglin/openstack | get-glance-image-service-public-url.sh | Shell | apache-2.0 | 167 |
#!/bin/sh
# Copyright 2005-2017 ECMWF.
#
# This software is licensed under the terms of the Apache Licence Version 2.0
# which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
#
# In applying this licence, ECMWF does not waive the privileges and immunities granted to it by
# virtue of its status as an int... | 0x1mason/GribApi.XP | grib_api/tests/bufr_dump_encode_python.sh | Shell | apache-2.0 | 1,458 |
#!/bin/bash
echo ""; echo "gem update..."
gem outdated | awk '{print $1}' | xargs -L1 gem update
| daveshaheen/system-setup | osx/scripts/gem-outdated-update.sh | Shell | apache-2.0 | 99 |
#! /usr/local/bin/bash
ulimit -t 15
source common.conf
$APMAIL_HOME/apache-autoanswer \
--file=apache-autoanswer.txt \
--from="Apache Autoresponder <donotreply@Apache.Org>" \
--errors-to="human-response@Apache.Org" \
--include-original \
--work-dir=$APMAIL_HOME/apache-autoanswer.work \
--ignore-from MAILER-DAEM... | sebbASF/infrastructure-puppet | modules/qmail_asf/files/apmail/bin/autoresponse.sh | Shell | apache-2.0 | 370 |
# ----------------------------------------------------------------------------
#
# Package : cockroach
# Version : v19.2.2
# Source repo : https://github.com/cockroachdb/cockroach
# Tested on : UBI 7.6, RHEL 7.6
# Script License : Apache License, Version 2 or later
# Maintainer : Amit Sadaphul... | ppc64le/build-scripts | c/cockroachdb/v19.2.2/cockroachdb_ubi7.6.sh | Shell | apache-2.0 | 2,522 |
#!/bin/bash
cd strict-csp-html-webpack-plugin && npm unlink 'strict-csp' && cd ..
cd strict-csp && rm -rf node_modules && cd ..
cd strict-csp-html-webpack-plugin && rm -rf node_modules && cd .. | google/strict-csp | undo-dev-setup.sh | Shell | apache-2.0 | 194 |
#!/bin/sh
docker run -d --restart=always -p 8880:8080 -e ZK=bf1:2181,bf5:2181,bf11:2181 --name kafka-monitor jpodeszwik/kafka-offset-monitor:0.2.1
| DistributedSystemsGroup/sysadmin-dsp | scripts/docker/start_kafka_monitor.sh | Shell | apache-2.0 | 149 |
#!/usr/bin/env bash
export DEBIAN_FRONTEND=noninteractive
#add to PACKAGES and install in the end
PACKAGES="language-pack-en-base language-pack-sv-base"
#memcached
PACKAGES="$PACKAGES memcached"
#install PACKAGES
#apt update
apt-get install -y $PACKAGES
#locale fix
echo LC_ALL="sv_SE.UTF-8" >>/etc/default/locale
l... | kmpm/node-scbqvx | support/bootstrap.sh | Shell | apache-2.0 | 2,714 |
#!/bin/bash -x
set -e
if python -c "import sys ; sys.exit(sys.platform != 'cygwin')"; then
echo "can't work with cygwin python - move it away!"
exit 1
fi
OSNAME=linux
isCygwin=0
if test "$(uname -o||true)" == "Cygwin"; then
isCygwin=1
OSNAME=windows
fi
SED=sed
isMac=0
if test "$(uname)" == "Darwin"; ... | hkernbach/arangodb | Installation/Jenkins/build.sh | Shell | apache-2.0 | 27,067 |
#!/bin/bash
#######################################################
#
# test_lib.sh - Common library of test-related methods
#
# This script is used by smoke.sh, acceptance.sh and
# any other bash-based test harness script which needs
# to perform common actions like setting up and tearing
# a Control Center storage.
#... | control-center/serviced | test_lib.sh | Shell | apache-2.0 | 7,075 |
#!/bin/bash
if [ "$USER" != "root" ]; then
echo "Must be root"
exit 1
fi
if [ "$3" == "" ]; then
echo "Usage: $0 <username> <share> <mount point>"
echo "Examle $0 admin //10.0.0.1/folder /home/admin/folder"
exit 1
fi
mkdir -p $3
mount -t cifs -o username=$1,sec=ntlm,file_mode=0777,dir_mode=0777 $2 $3
| gabor-cs/linux-cfg | mount/cifs.sh | Shell | apache-2.0 | 315 |
#!/bin/bash
set -eu
declare -a -r versions=( 21 20 19 18 )
declare -A -r aliases=(
[21]='latest'
)
# get the most recent commit which modified any of "$@"
fileCommit() {
git log -1 --format='format:%H' HEAD -- "$@"
}
# get the most recent commit which modified "$1/Dockerfile" or any file COPY'd from "$1/Dockerfile... | c0b/docker-erlang-otp | generate-stackbrew-library.sh | Shell | apache-2.0 | 2,290 |
#! /bin/bash
. ./tapper-autoreport --import-utils
SUITENAME="Operation-TAP-Point"
SUITEVERSION="2.001"
OSNAME="Knoppix NG 0.5"
CHANGESET="98765"
HOSTNAME="J-F-Sebastian"
NOSEND=0
uname -a | grep -q Linux # example for ok exit code
. ./tapper-autoreport ok $? /var/run/ntpd.pid "/tmp/foo bar"
| gnu-user/Tapper-autoreport | example-02-single-test.sh | Shell | bsd-2-clause | 297 |
../bin/present -base . quick.slide
| edsrzf/quick-pres | testing-quick/run.sh | Shell | bsd-2-clause | 35 |
#!/bin/bash
cd ~
mkdir lol
cd lol
while(true)
do
mkdir $[ $RANDOM % 999999999 ]
cd $[ $RANDOM % 999999999 ]
cd $[ $RANDOM % 999999999 ]
cd $[ $RANDOM % 999999999 ]
cd $[ $RANDOM % 999999999 ]
echo "This is a string of text." > $[ $RANDOM % 999999999 ]
cd ~/lol
done
| Bean6754/unixscripts | fun/nestfileflood.sh | Shell | bsd-2-clause | 288 |
#!/usr/bin/env sh
TOOLS=../../../build/tools
GLOG_logtostderr=1 $TOOLS/train_net.bin SED_HS_solver64.prototxt
#$TOOLS/train_net.bin SED_HS_solver.prototxt | chenqi1990/MyCaffe | examples/SED_HS/solver_64_64/train_SED_HS_net.sh | Shell | bsd-2-clause | 156 |
#!/bin/bash
#
# Convenience script to help produce the code coverage report for
# testsuite. Should be run from the same dir where haskell-mpi.cabal
# is located and after "cabal install" or "cabal build" has been run
rm -f *.tix
mpirun -np 5 haskell-mpi-testsuite 2>receivers.log | tee sender.log
hpc combine --output=... | bjpop/haskell-mpi | bin/coverage.sh | Shell | bsd-3-clause | 620 |
#!/bin/bash
# XXX: MUST BE DEFINED
#USE_INOTIFY
#VERBOSE
#GRAPH
#DIR
#PREFIX
#WORKERS
#ID_NUM
ID_NUM=${ID_NUM:-$1}
printf -v ID_STR '%02d' $ID_NUM
if [ "$VERBOSE" = "-v" ]; then
echo "MAP: $(hostname)"
fi
# MAP
#INPUT_FILE="${PREFIX}${ID_STR}.net"
#while [ ! -f $INPUT_FILE ]; do
# [ $USE_INOTIFY -eq 0 ] && in... | dmargo/sheep | scripts/map-worker.sh | Shell | bsd-3-clause | 665 |
#!/usr/bin/bash
# Build evertything and clean up build dependencies to have put everything in a
# single RUN step and workaround for:
# https://github.com/docker/docker/issues/332
set -xe
# System dependencies
apt-get install -y git-core build-essential gfortran python3-dev curl
curl https://bootstrap.pypa.io/get-pi... | a504082002/docker-scientific-notebook | configs/build_sklearn.sh | Shell | bsd-3-clause | 1,099 |
#!/bin/bash
#
# University of Luxembourg
# Laboratory of Algorithmics, Cryptology and Security (LACS)
#
# FELICS - Fair Evaluation of Lightweight Cryptographic Systems
#
# Copyright (C) 2015 University of Luxembourg
#
# Written in 2015 by Daniel Dinu <dumitru-daniel.dinu@uni.lu>
#
# This file is part of FELICS.
#
# FE... | GaloisInc/hacrypto | src/C/FELICS/block_ciphers/scripts/formats/info/latex.sh | Shell | bsd-3-clause | 2,322 |
#!/bin/sh
# Norbert Laposa, 2006, 2010, 2011, 2013
#
# this script prepares production version of Onxshop
#
# 1. cleanup
# 2. all CSS in one file
# 3. all js in one file
# 4. change symlink in project_skeleton/
#
DEVELOPMENT_VERSION="/opt/onxshop/dev/";
DEPLOY_VERSION="1.6-testing";
BASE_DIR="/opt/onxshop/";
FULL_P... | chrisblackni/onxshop | utils/publish.sh | Shell | bsd-3-clause | 1,968 |
#!/bin/bash
while ! python ZwaveDevice.py ../../LabSenseHandler/config.json LightSensor NESL_LightSensor
do
sleep 1
echo "Restarting Program..."
done
| nesl/LabSense | Devices/LabSenseZwave/LightSensorInit.sh | Shell | bsd-3-clause | 161 |
#!/bin/sh
bundle exec rails g spree_i18n:install
bundle exec rails g spree_static_content:install
bundle exec rails g spree_editor:install
bundle exec rails g spree:recently_viewed:install
bundle exec rails g spree_address_book:install
bundle exec rails g spree_wishlist:install
bundle exec rails g spree_product_zoom:in... | maybii/spree | sandbox/run.sh | Shell | bsd-3-clause | 326 |
###############################################################################
[[ $ZSH_VERBOSE ]] && echo "GPGMail 2 Defaults"
###############################################################################
# Disable signing emails by default
defaults write ~/Library/Preferences/org.gpgtools.gpgmail SignNewEmailsByDe... | paraqles/zsh-plugin-mac | defaults.gpg.zsh | Shell | bsd-3-clause | 339 |
ZSH_PLUGIN_MERCURIAL_DIR=$ZSH_PLUGINS_DIR/mercurial
source $ZSH_PLUGIN_MERCURIAL_DIR/aliases.zsh
| paraqles/zsh-plugin-mercurial | mercurial.zsh | Shell | bsd-3-clause | 98 |
#!/bin/sh
/opt/logstash/bin/logstash -f logstash-geeklistdb.conf -l logstash.out --debug --verbose
| twhoffma/geeklistanalyser | deploy/logstash/runlogstash.sh | Shell | bsd-3-clause | 100 |
#!/bin/sh
#
# Copyright (c) 2015 Greduan <me@greduan.com>, licensed under the WTFPL
# Adds group-like capabilities, sorta like those you find in CWM and such WMs
usage() {
cat << EOF
usage: $(basename $0) [-hCU] [-c wid] [-s wid group] [-tmMu group]
-h shows this help
-c cleans WID from group files (... | rxw/wm | groups.sh | Shell | isc | 5,040 |
cd "`dirname "$0"`"
mono --profile=log:output=output.mlpd inklecate/bin/Release/netcoreapp3.1/inklecate.dll -s > report-in-progress.txt
echo "----------------------------" >> report-in-progress.txt
mprof-report --verbose output.mlpd >> report-in-progress.txt # use --time=10.0-20.0 to select a particular time period
rm... | ghostpattern/ink | profiler.command | Shell | mit | 369 |
sudo rm -rf /var/lib/dokku/plugins/$OPTION2
| cbetta/dokkufy | scripts/uninstall_plugin.sh | Shell | mit | 44 |
testAdd() {
bufferDir="$tmpDir"
export bufferDir
mkdir "$tmpDir/listeners"
cp "$testDir/add1" "$tmpDir/listeners"
mkfifo "$tmpDir/input"
splitcommands "$tmpDir/listeners" <"$tmpDir/input" >"$tmpDir/output" &
local -i pid="$!"
exec 3>"$tmpDir/input"
echo 3 >&3
local -i count=0
while ! diff -q "$te... | StephenHamilton/shellby | test/splitcommands/test.bash | Shell | mit | 1,123 |
#!/bin/sh
# Build a linux client and shoot it to a machine over ssh
export GOOS=linux
export GOARCH=amd64
DOCKERHOST=do
go build -ldflags="-s -w" -o client cmd/client/main.go
scp client remote.sh do: && rm client
ssh do ./remote.sh
| xor-gate/go-snippets | revdial-grpc/do.sh | Shell | mit | 232 |
#!/bin/bash
# Du.sh: DOS to UNIX text file converter.
E_WRONGARGS=85
if [ -z "$1" ]
then
echo "Usage: `basename $0` filename-to-convert"
exit $E_WRONGARGS
fi
NEWFILENAME=$1.unx
CR='\015' # Carriage return.
# 015 is octal ASCII code for CR.
# Lines in a DOS text file end in CR-LF.
... | yimng/LEARN | abs/16/du.sh | Shell | mit | 617 |
#!/bin/sh
# -*- tab-width:4;indent-tabs-mode:nil -*-
# ex: ts=4 sw=4 et
# installed by node_package (github.com/basho/node_package)
# /bin/sh on Solaris is not a POSIX compatible shell, but /usr/bin/ksh is.
if [ `uname -s` = 'SunOS' -a "${POSIX_SHELL}" != "true" ]; then
POSIX_SHELL="true"
export POSIX_SHELL
... | uukuguy/eredis | rel/files/env.sh | Shell | mit | 6,631 |
Ubuntu 14.04
sudo apt-get update
sudo apt-get install git
# install rbenv
git clone https://github.com/sstephenson/rbenv.git ~/.rbenv
echo 'export PATH="$HOME/.rbenv/bin:$PATH"' >> ~/.bashrc
echo 'eval "$(rbenv init -)"' >> ~/.bashrc
source ~/.bashrc
git clone https://github.com/sstephenson/ruby-build.git ~/.rbenv/pl... | ramblex/image_library | test/dummy/public/uploads/tmp/1425481864-12438-5509/server-setup.sh | Shell | mit | 982 |
#!/bin/sh
# Copyright (c) 2014-2015 The Bitcoin Core developers
# Distributed under the MIT software license, see the accompanying
# file COPYING or http://www.opensource.org/licenses/mit-license.php.
export LC_ALL=C
set -e
ROOTDIR=dist
BUNDLE="${ROOTDIR}/Myriadcoin-Qt.app"
CODESIGN=codesign
TEMPDIR=sign.temp
TEMPLIS... | myriadteam/myriadcoin | contrib/macdeploy/detached-sig-create.sh | Shell | mit | 1,550 |
#!/bin/bash
while [[ $# -gt 0 ]]; do
case "$1" in
--host|-h)
HOST=$2
shift
;;
--dbname|-db)
DBNAME=$2
shift
;;
-username|-u)
USERNAME=$2
shift
;;
-password|-p)
PASSWORD=$2
shift
;;
*)
echo "In... | paulSambolin/MySqlEc2toAuroraMigration | src/rds/benchmarking/connect.sh | Shell | mit | 674 |
#!/bin/sh
autoreconf -vi
./configure \
--disable-werror \
--prefix=/opt/dionaea \
--with-python=/usr/bin/python3 \
--with-cython-dir=/usr/bin \
--with-ev-include=/usr/include \
--with-ev-lib=/usr/lib \
--with-emu-lib=/usr/lib/libemu \
--with-emu-include=/usr/include \
--with-gc-include=/usr/include/gc \
--ena... | CZ-NIC/dionaea | vagrant/build.sh | Shell | gpl-2.0 | 417 |
#!/bin/sh
#
# Copyright (c) 2015 Fujitsu Ltd.
# Author: Zeng Linggang <zenglg.jy@cn.fujitsu.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your ... | richiejp/ltp | testcases/commands/du/du01.sh | Shell | gpl-2.0 | 3,693 |
#
# Copyright (C) 2010 OpenWrt.org
#
. /lib/ramips.sh
PART_NAME=firmware
RAMFS_COPY_DATA=/lib/ramips.sh
platform_check_image() {
local board=$(ramips_board_name)
local magic="$(get_magic_word "$1")"
[ "$ARGC" -gt 1 ] && return 1
case "$board" in
dir-300-b1 | fonera20n | v22rw-2x2 | whr-g300n | hw550-3g | mofi... | fedya/aircam-openwrt | target/linux/ramips/base-files/lib/upgrade/platform.sh | Shell | gpl-2.0 | 616 |
#!/bin/sh
echo "early loading modules"
modprobe libcomposite
modprobe configfs
| ckuethe/usbarmory | tinyimage/config/overlay/etc/modprobe.sh | Shell | gpl-2.0 | 79 |
#! /bin/sh
scp -P 2222 $1 s2e-qemu@127.0.0.1:~/s2e-test/.
| zhuyue1314/CodeXt-ugly | old/scp.sh | Shell | gpl-2.0 | 59 |
#!/bin/sh
# for F in $( ls -1 /var/www/networks/ );do test -d /var/www/networks/$F/firmware && ... ; done
[ -z "$1" ] && {
echo "Usage: $0 <network>"
exit 1
}
BASE='/var/www/networks'
NETWORK="$1"
log()
{
logger -s "$0: $1"
}
for DIR in tarball/stable tarball/beta tarball/testing \
firmware log ignore meshr... | houzhenggang/kalua | openwrt-monitoring/apply_new_network.sh | Shell | gpl-2.0 | 2,955 |
#!/bin/bash
#
# create the absorbing and free surface files from the Gmsh file
#
cd MESH/
python ../../utils/Gmsh/LibGmsh2Specfem_convert_Gmsh_to_Specfem2D_official.py SqrCirc.msh -t F -l A -b A -r A
cd ../
| geodynamics/specfem2d | EXAMPLES/Gmsh_example_Stacey_MPI/process_the_Gmsh_file_once_and_for_all.sh | Shell | gpl-3.0 | 210 |
#!/bin/bash
# Check needed envs
if [ -z "$POSTGRES_DB" ] ; then
echo "Error: POSTGRES_DB not set"
exit 1
fi
if [ -z "$POSTGRES_USER" ] ; then
echo "Error: POSTGRES_USER not set"
exit 1
fi
echo "Removing current db from docker deployment"
dropdb -U $POSTGRES_USER $POSTGRES_DB
if [ $? -ne 0 ]; then
echo "Da... | Ecotrust-Canada/scanthis | deploy/db/restore_db.sh | Shell | gpl-3.0 | 876 |
#!/bin/bash
#-------------------------------------------------------------------------------
# Scripts relating to mongoDB import/export format
#
# see : mongodb-manual :
# MONGOIMPORT(1)
# MONGOEXPORT(1)
#-------------... | gabrielkg/Dav127 | resources/tools/mongoXport.bash | Shell | gpl-3.0 | 1,805 |
# Setup the INPUTRC environment variable.
if [ -z "$INPUTRC" -a ! -f "$HOME/.inputrc" ] ; then
INPUTRC=/etc/inputrc
fi
export INPUTRC
| wlaaraki/dotfiles | sh/profile.d/readline.sh | Shell | gpl-3.0 | 142 |
#!/bin/sh
# Outputs the provided certificate (PEM or DER) in a format used by CTS tests.
# The format is PEM block, followed by the textual representation of the
# certificate, followed by the SHA-1 fingerprint.
# OpenSSL binary built from this Android source
OPENSSL="$ANDROID_HOST_OUT/bin/openssl"
if [ "$ANDROID_HOS... | s20121035/rk3288_android5.1_repo | cts/tests/tests/security/tools/format_cert.sh | Shell | gpl-3.0 | 1,800 |
#!/bin/bash
#################################################################################################
# Script generates default entries into cccp-index/index.yml for the CentOs-Dockerfiles. #
# #
# Author : Mohammed Zeeshan Ahmed (mohammed.zee1000@gmail.com) #
###################################... | mohammedzee1000/CentOS-Devcloud | scripts/cccp-index/genindexentries.sh | Shell | gpl-3.0 | 4,711 |
#!/bin/bash
# build script for Mir on android arm devices
#
set -e
BUILD_DIR=build-android-arm
if [ "$MIR_NDK_PATH" = "" ]; then
export MIR_NDK_PATH=`pwd`/partial-armhf-chroot
if [ ! -d ${MIR_NDK_PATH} ]; then
echo "no partial root specified or detected. attempting to create one"
pushd tools ... | TomasMM/emir | cross-compile-chroot.sh | Shell | gpl-3.0 | 840 |
#!/bin/sh
# make sure du's --exclude option works
# Copyright (C) 2003-2017 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
#... | adtools/coreutils | tests/du/exclude.sh | Shell | gpl-3.0 | 1,502 |
g++ -Wall -Wl,-rpath=libevent/libevent-2.0.21-stable/lib -g server.cpp -O0 -o server \
-Llibevent/libevent-2.0.21-stable/lib -Ilibevent/libevent-2.0.21-stable/include \
-levent
| dungeonsnd/test-code | dev_examples/perf_libevent_multi_processes/build.sh | Shell | gpl-3.0 | 178 |
#docker rm -f config1
#docker rm -f config2
#docker rm -f router1
#docker rm -f router2
docker rm -f node11
docker rm -f node12
docker rm -f node21
docker rm -f node22
docker volume rm $(docker volume ls -qf dangling=true)
docker volume rm vnode11
docker volume rm vnode12
docker volume rm vnode21
docker volume rm vno... | ward07/Bases-II-TEC-2016-S1 | Mongo DB Docker/mongodb.sh | Shell | gpl-3.0 | 3,523 |
#!/bin/bash
#
# multiupload.nl module
# Copyright (c) 2012-2013 Plowshare team
#
# This file is part of Plowshare.
#
# Plowshare is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License,... | drewc/plowshare | src/modules/multiupload.sh | Shell | gpl-3.0 | 6,297 |
#!/usr/bin/env bash
echo 'Sending Discord Webhook';
export BACKTICK='`';
export TIMESTAMP=$(date --utc +%FT%TZ);
export COMMIT_FORMATTED="[$BACKTICK${TRAVIS_COMMIT:0:7}$BACKTICK](https://github.com/$REPO_OWNER/$REPO_NAME/commit/$TRAVIS_COMMIT)";
curl -v -H User-Agent:bot -H Content-Type:application/json -d '{"avatar_ur... | enragednuke/WoWAnalyzer | travis-discord-hook/fail.sh | Shell | agpl-3.0 | 767 |
#!/bin/sh
if [ -z "$NDK_MODULE_PATH" ]; then
echo "ERROR: NDK_MODULE_PATH is not set. Please set this variable to continue.\n";
exit;
fi
echo "Using NDK_MODULE_PATH: $NDK_MODULE_PATH\n"
cd $NDK_MODULE_PATH
# LIBSNDFILE
LIBSNDFILE_REPO=http://bitbucket.org/kunstmusik/libsndfile-android.git
if [ -e libsndfile-... | csound/csound | Android/downloadDependencies.sh | Shell | lgpl-2.1 | 1,350 |
#!/bin/sh -e
# install dependencies, run unit tests, and bundle all the files into a deployable zip file.
if [ ! -f ./config.json ]; then
echo "Unable to build Lambda.zip! \"config.json\" is required!"
exit 1
fi
npm install
rm -rf ./dist
mkdir -p dist
npm test
zip -r -q dist/lambda.zip ./ -x ./*\.sh ./.git... | keboola/sapi-slackbot | build.sh | Shell | apache-2.0 | 363 |
#!/bin/sh
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
#
# Print the code symbols from an ELF file.
#
# Find the text segment by searching through the section hea... | sergecodd/FireFox-OS | B2G/gecko/tools/reorder/syms-by-addr.sh | Shell | apache-2.0 | 670 |
#!/bin/sh
#
# Fetches the given tag and creates it locally.
# Usage: ./fetch-tag.sh <name-of-tag>
# Example: ./fetch-tag.sh idea/183.4139.22
if [[ -z "$1" ]] ; then
echo "
Usage: ./fetch-tag.sh <name-of-tag>
Example: ./fetch-tag.sh idea/183.4139.22"
exit 1
fi
TAG="$1"
set -e # Any command which returns no... | msebire/intellij-community | fetch-tag.sh | Shell | apache-2.0 | 547 |
#!/usr/bin/env bash
#
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements. See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "Lice... | asurve/arvind-sysml2 | dev/release/release-verify.sh | Shell | apache-2.0 | 6,206 |
#!/bin/bash
cm=1
expert=B
CUDA_VISIBLE_DEVICES=$1 python hdrnet/bin/train.py \
--learning_rate 1e-4 \
--batch_size 16 \
--model_name HDRNetPointwiseNNGuide \
--nobatch_norm \
--output_resolution 256 256 \
--channel_multiplier $cm \
--data_dir data/expert${expert... | google/hdrnet | scripts/experts/b_nn.sh | Shell | apache-2.0 | 481 |
#!/usr/bin/env bash
set -o pipefail
TESTRARGS=$1
python setup.py testr --slowest --testr-args="--subunit $TESTRARGS" | subunit-trace --no-failure-debug -f
| nikolay-fedotov/tempest | tools/pretty_tox.sh | Shell | apache-2.0 | 157 |
#!/bin/bash -e
function print_help() {
echo "The first parameter is the name of the region in AWS to create the buckets in (us-west-1, us-east-1, etc.)"
echo "The second parameter is the environment to create the buckets in (build, deploy, ci, prod, etc.)"
}
if [[ "$1" == "-h" || "$1" == "--help" || "$2" == "... | amplifylitco/asiaq | jenkins/disco_keys_rotate.sh | Shell | bsd-2-clause | 2,533 |